/********************************** (C) COPYRIGHT *******************************
* File Name          : main.c
* Author             : WCH
* Version            : V1.0.0
* Date               : 2020/04/30
* Description        : Main program body.
*******************************************************************************/
#include "debug.h"

/*@Note
 *0x00 жϵ縴λ־ ݸñ־ת
 *A.->0x0800000 -> handle_reset -> main
 *B.->0x0805000 -> handle_reset -> main
 *  run
 *
 */


/*******************************************************************************
* Function Name  : GPIO_Toggle_INIT
* Description    : Initializes GPIOA.0
* Input          : None
* Return         : None
*******************************************************************************/
void GPIO_PA3(void)
{
  GPIO_InitTypeDef  GPIO_InitStructure;

  RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA,ENABLE);
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_3;
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
  GPIO_InitStructure.GPIO_Speed=GPIO_Speed_50MHz;
  GPIO_Init(GPIOA, &GPIO_InitStructure);
}


/*******************************************************************************
* Function Name  : main
* Description    : Main program.
* Input          : None
* Return         : None
*******************************************************************************/
int main(void)
{
    u16 i;

    Delay_Init();
    USART_Printf_Init(115200);
    GPIO_PA3();

#if 0
    if((RCC->RSTSCKR&(1<<27))){
        printf("POR Reset\r\n");
    }

    printf("RSTSCKR0:%08x\r\n", RCC->RSTSCKR);

#endif

    //Դ
    printf("bootloader test start...\r\n");
    for(i=0; i<10; i++){
        printf("bootloader test%d\r\n", i);
        GPIO_SetBits(GPIOA, GPIO_Pin_3);
        Delay_Ms(200);
        GPIO_ResetBits(GPIOA, GPIO_Pin_3);
        Delay_Ms(300);
    }

    printf("jump UserCode...\r\n");
    printf("\r\n");
    Delay_Ms(800);


/*USERCode ش
 *
 */


#if 1
    //  ģʽ ת 0x5000;
    NVIC_EnableIRQ(Software_IRQn);
    NVIC_SetPendingIRQ(Software_IRQn);
#endif


    while(1);
}








